psd\_tools\.psd\.descriptor
===========================

.. automodule:: psd_tools.psd.descriptor

Alias
-----

.. autoclass:: psd_tools.psd.descriptor.Alias
    :members:

Bool
----

.. autoclass:: psd_tools.psd.descriptor.Bool
    :members:

Class
-----

.. autoclass:: psd_tools.psd.descriptor.Class
    :members:

Class1
------

.. autoclass:: psd_tools.psd.descriptor.Class1
    :members:

Class2
------

.. autoclass:: psd_tools.psd.descriptor.Class2
    :members:

Class3
------

.. autoclass:: psd_tools.psd.descriptor.Class3
    :members:

Descriptor
----------

.. autoclass:: psd_tools.psd.descriptor.Descriptor
    :members:

Double
------

.. autoclass:: psd_tools.psd.descriptor.Double
    :members:

Enumerated
----------

.. autoclass:: psd_tools.psd.descriptor.Enumerated
    :members:

EnumeratedReference
-------------------

.. autoclass:: psd_tools.psd.descriptor.EnumeratedReference
    :members:

GlobalObject
------------

.. autoclass:: psd_tools.psd.descriptor.GlobalObject
    :members:

Identifier
----------

.. autoclass:: psd_tools.psd.descriptor.Identifier
    :members:

Index
-----

.. autoclass:: psd_tools.psd.descriptor.Index
    :members:

Integer
-------

.. autoclass:: psd_tools.psd.descriptor.Integer
    :members:

LargeInteger
------------

.. autoclass:: psd_tools.psd.descriptor.LargeInteger
    :members:

List
----

.. autoclass:: psd_tools.psd.descriptor.List
    :members:

Name
----

.. autoclass:: psd_tools.psd.descriptor.Name
    :members:

ObjectArray
-----------

.. autoclass:: psd_tools.psd.descriptor.ObjectArray
    :members:

Property
--------

.. autoclass:: psd_tools.psd.descriptor.Property
    :members:

Offset
------

.. autoclass:: psd_tools.psd.descriptor.Offset
    :members:

Path
----

.. autoclass:: psd_tools.psd.descriptor.Path
    :members:

RawData
-------

.. autoclass:: psd_tools.psd.descriptor.RawData
    :members:

Reference
---------

.. autoclass:: psd_tools.psd.descriptor.Reference
    :members:

String
---------

.. autoclass:: psd_tools.psd.descriptor.String
    :members:

UnitFloat
---------

.. autoclass:: psd_tools.psd.descriptor.UnitFloat
    :members:

UnitFloats
----------

.. autoclass:: psd_tools.psd.descriptor.UnitFloats
    :members:
